package com.rjconsultores.ventaboletos.dao;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Corrida;
import com.rjconsultores.ventaboletos.entidad.CorridaTramo;
import com.rjconsultores.ventaboletos.entidad.Tramo;

public interface CorridaTramoDAO extends GenericDAO<CorridaTramo, Integer> {

    public List<CorridaTramo> obtenerTramoTarjetaEmitida();

    public List<CorridaTramo> buscarTarjetaMesmaCorrida(CorridaTramo ct);
    
    List<CorridaTramo> buscarCorridaTramoPorCorrida(Corrida corrida);

    public BigDecimal buscarSumTarjetaMesmaCorrida(CorridaTramo ct);
    
    List<Tramo> buscarTramoPorCorridaId(Integer corridaId);
    
    public CorridaTramo buscaCorridaTramoByFecCorridaECorridaIdEdOrigemId(Date fecCorrida, Integer corridaId, boolean isAutorizaServicoIniciado, Integer paradaId);

    public List<CorridaTramo> buscaCorridaTramoByFecCorridaECorridaId(Date fecCorrida, Integer corridaId, boolean isAutorizaServicoIniciado);
}
